Package twisted :: Package protocols :: Module ident :: Class IdentClient

[frames | no frames]

## Class IdentClient

    BaseProtocol --+
                   |
            Protocol --+
                       |
        LineOnlyReceiver --+
                           |
                          IdentClient

Method Summary
| `__init__(self)`
| `connectionLost(self, reason)`
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``lookup`(self, portOnServer, portOnClient)` Lookup user information about the specified address pair.
| `parseResponse(self, deferred, line)`
Inherited from LineOnlyReceiver
| ``dataReceived`(self, data)` Protocol.dataReceived.
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached.
| ``sendLine`(self, line)` Sends a line to the other end of the connection.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``connectionMade`(self)` Called when a connection is made.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`tuple` | `errorTypes` = `(<class twisted.protocols.ident.IdentError ...`
Inherited from LineOnlyReceiver
`str` | `_buffer` = `''`
`str` | `delimiter` = `'\r\n'`
`int` | `MAX_LENGTH` = 16384
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### lineReceived(self, line)

Override this for when each line is received.

  Overrides:
    `twisted.protocols.basic.LineOnlyReceiver.lineReceived` (inherited documentation)

### lookup(self, portOnServer, portOnClient)

Lookup user information about the specified address pair.

Class Variable Details

### errorTypes

  Type:
    `tuple`
  Value:

        (<class twisted.protocols.ident.IdentError at 0x8865a8c>,
         <class twisted.protocols.ident.NoUser at 0x8882a34>,
         <class twisted.protocols.ident.InvalidPort at 0x864b15c>,
         <class twisted.protocols.ident.HiddenUser at 0x865ee44>)

Generated by Epydoc 2.0 on Sat May 15 20:08:14 2004 | http://epydoc.sf.net